
ServerEvents.recipes(event => {

    //Moon
event.recipes.gtceu.moonminer('titaminer')
    .notConsumable('ad_astra:moon_globe')
    .inputFluids([Fluid.of('gtceu:drilling_fluid', 1000)])
    .itemOutputs('gtceu:hot_titanium_ingot')
    .biome('ad_astra:lunar_wastelands')
    .duration(640)
    .EUt(GTValues.VA[GTValues.EV]);

    //Star extractor
event.recipes.gtceu.starextractor('star_matter')
    .notConsumable('gtceu:quantum_eye')
    .inputFluids([Fluid.of('gtceu:drilling_fluid', 1000)])
    .outputFluids([Fluid.of('gtceu:mercury 1000')])
    .itemOutputs('1x gtceu:star_matter_nugget')
    .biome('ad_astra:orbit')
    .duration(640)
    .EUt(GTValues.VA[GTValues.IV]);

event.recipes.gtceu.starcondenser('liquified_condensed_star_matter')
    .notConsumable('4x kubejs:condensed_star_matter')
    .outputFluids([Fluid.of('gtceu:condensed_star_matter 1000')])
    .duration(640)
    .EUt(GTValues.VA[GTValues.UV]);
event.recipes.gtceu.plasma_generator('starmatterliquified')
    .inputFluids(Fluid.of('gtceu:condensed_star_matter', 1000))
    .duration(160).EUt(-134217728)
event.recipes.gtceu.electrolyzer('electrolyzer/condensed_star_matter')
    .inputFluids([Fluid.of('gtceu:condensed_star_matter 1000')])
    .outputFluids([Fluid.of('gtceu:star_matter 3000')])
    .duration(640)
    .EUt(GTValues.VA[GTValues.UV]);

    //Blood Magic 
event.recipes.gtceu.altart2('magicianorb')
    .inputFluids([Fluid.of('bloodmagic:life_essence_fluid', 20000)])
    .itemInputs('bloodmagic:weakbloodorb')
    .itemOutputs('bloodmagic:magicianbloodorb')
    .duration(3000)
    .EUt(GTValues.VA[GTValues.LuV]);
event.recipes.gtceu.altart2('largebloodbrick')
    .inputFluids([Fluid.of('bloodmagic:life_essence_fluid', 20000)])
    .itemInputs('minecraft:stone_bricks')
    .itemOutputs('4x bloodmagic:largebloodstonebrick')
    .duration(100)
    .EUt(GTValues.VA[GTValues.LuV]);
event.recipes.gtceu.altart3('demoniteblock')
    .inputFluids([Fluid.of('bloodmagic:life_essence_fluid', 10000)])
    .itemInputs('extendedcrafting:crystaltine_ingot')
    .itemOutputs('2x bloodmagic:dungeon_metal')
    .duration(400)
    .EUt(GTValues.VA[GTValues.LuV]);
event.recipes.gtceu.altart4('demoniteblock4')
    .inputFluids([Fluid.of('bloodmagic:life_essence_fluid', 10000)])
    .itemInputs('extendedcrafting:crystaltine_ingot')
    .itemOutputs('2x bloodmagic:dungeon_metal')
    .duration(300)
    .EUt(GTValues.VA[GTValues.LuV]);
event.recipes.gtceu.altart5('demoniteblock5')
    .inputFluids([Fluid.of('bloodmagic:life_essence_fluid', 10000)])
    .itemInputs('extendedcrafting:crystaltine_ingot')
    .itemOutputs('2x bloodmagic:dungeon_metal')
    .duration(100)
    .EUt(GTValues.VA[GTValues.LuV]);
event.recipes.gtceu.altart4('arcmagebloodorb')
    .inputFluids([Fluid.of('bloodmagic:life_essence_fluid', 20000)])
    .itemInputs('bloodmagic:magicianbloodorb')
    .itemOutputs('bloodmagic:archmagebloodorb')
    .duration(3000)
    .EUt(GTValues.VA[GTValues.LuV]);
event.recipes.gtceu.altart5('pylon')
    .inputFluids([Fluid.of('bloodmagic:life_essence_fluid', 40000)])
    .itemInputs('bloodmagic:demoncrystallizer')
    .itemOutputs('bloodmagic:demonpylon')
    .duration(1500)
    .EUt(GTValues.VA[GTValues.LuV]);
event.recipes.gtceu.altart6('pyrochlore')
    .notConsumable('ad_astra:earth_globe')
    .inputFluids([Fluid.of('bloodmagic:life_essence_fluid', 256000)])
    .itemOutputsRanged('gtceu:raw_pyrochlore', 256, 512)
    .itemOutputsRanged('gtceu:raw_apatite', 256, 512)
    .itemOutputsRanged('gtceu:raw_tricalcium_phosphate', 256, 512)
    .itemOutputsRanged('gtceu:rare_earth_dust', 256, 512)
    .circuit(1)
    .duration(3000)
    .EUt(GTValues.VA[GTValues.LuV]);
event.recipes.gtceu.altart6('meteoroverworld')
    .notConsumable('ad_astra:earth_globe')
    .inputFluids([Fluid.of('bloodmagic:life_essence_fluid', 512000)])
    .itemInputs('64x bloodmagic:dungeon_metal')
    .itemOutputsRanged('gtceu:raw_nickel', 500, 4500)
    .itemOutputsRanged('gtceu:raw_graphite', 500, 4500)
    .itemOutputsRanged('gtceu:raw_coal', 500, 4500)
    .itemOutputsRanged('gtceu:raw_diamond', 500, 4500)
    .itemOutputsRanged('gtceu:raw_lapis', 500, 4500)
    .itemOutputsRanged('gtceu:raw_redstone', 500, 4500)
    .itemOutputsRanged('minecraft:raw_copper', 500, 4500)
    .itemOutputsRanged('minecraft:raw_gold', 500, 4500)
    .itemOutputsRanged('minecraft:raw_iron', 500, 4500)
    .itemOutputsRanged('gtceu:raw_tin', 500, 4500)
    .itemOutputsRanged('gtceu:raw_amethyst', 500, 4500)
    .itemOutputsRanged('gtceu:raw_green_sapphire', 500, 4500)
    .itemOutputsRanged('gtceu:raw_sphalerite', 500, 4500)
    .itemOutputsRanged('gtceu:raw_apatite', 500, 4500)
    .itemOutputsRanged('gtceu:raw_cobaltite', 500, 4500)
    .itemOutputsRanged('gtceu:raw_certus_quartz', 500, 4500)
    .itemOutputsRanged('gtceu:raw_quartzite', 500, 4500)
    .itemOutputsRanged('gtceu:raw_salt', 500, 4500)
    .itemOutputsRanged('gtceu:raw_saltpeter', 500, 4500)
    .itemOutputsRanged('gtceu:raw_beryllium', 500, 4500)
    .itemOutputsRanged('gtceu:raw_lead', 500, 4500)
    .itemOutputsRanged('gtceu:raw_silver', 500, 4500)
    .itemOutputsRanged('gtceu:raw_barite', 500, 4500)
    .itemOutputsRanged('gtceu:raw_stibnite', 500, 4500)
    .itemOutputsRanged( 'gtceu:raw_kyanite', 500, 4500)
    .itemOutputsRanged( 'gtceu:raw_emerald', 500, 4500)
    .outputFluids('gtceu:oil 100000')
    .outputFluids('gtceu:natural_gas 50000')
    .outputFluids('minecraft:lava 2500000')
    .circuit(2)
    .duration(6000)
    .EUt(GTValues.VA[GTValues.LuV]);

event.recipes.gtceu.altart6('meteormoon')
    .notConsumable('ad_astra:moon_globe')
    .inputFluids([Fluid.of('bloodmagic:life_essence_fluid', 512000)])
    .itemInputs('64x bloodmagic:dungeon_metal')
    .itemOutputsRanged('ad_astra:raw_desh', 500, 4500)
    .itemOutputsRanged('gtceu:star_matter_nugget', 1, 10)
    .itemOutputsRanged('gtceu:rare_earth_dust', 500, 4500)
    .itemOutputsRanged('gtceu:borax_dust', 500, 4500)
    .outputFluids('gtceu:titanium 144000')
    .outputFluids('gtceu:helium 50000')
    .outputFluids('gtceu:nitrogen 2500000')
    .circuit(2)
    .duration(6000)
    .EUt(GTValues.VA[GTValues.LuV]);

event.recipes.gtceu.altart6('meteormars')
    .notConsumable('ad_astra:mars_globe')
    .inputFluids([Fluid.of('bloodmagic:life_essence_fluid', 512000)])
    .itemInputs('64x bloodmagic:dungeon_metal')
    .itemOutputsRanged('ad_astra:raw_ostrum', 500, 4500)
    .itemOutputsRanged('gtceu:star_matter_nugget', 1, 10)
    .itemOutputsRanged('gtceu:raw_naquadah', 500, 4500)
    .itemOutputsRanged('gtceu:antimony_trifluoride_dust', 500, 4500)
    .itemOutputsRanged('minecraft:netherite_scrap', 500, 4500)
    .itemOutputsRanged('gtceu:raw_plutonium', 500, 4500)
    .itemOutputsRanged( 'gtceu:raw_galena', 500, 4500)
    .itemOutputsRanged( 'minecraft:gunpowder', 500, 4500)
    .itemOutputsRanged( 'minecraft:ender_pearl', 500, 750)
    .itemOutputsRanged( 'gtceu:raw_platinum', 500, 4500)
    .outputFluids('gtceu:natural_gas 144000')
    .outputFluids('gtceu:deuterium 50000')
    .outputFluids('gtceu:nitrogen 2500000')
    .circuit(2)
    .duration(6000)
    .EUt(GTValues.VA[GTValues.LuV]);

event.recipes.gtceu.altart2('altart3recipe')
    .inputFluids([Fluid.of('bloodmagic:life_essence_fluid', 200000)])
    .itemInputs('gtceu:altart2')
    .itemOutputs('gtceu:altart3')
    .duration(3000)
    .EUt(GTValues.VA[GTValues.LuV]);

event.recipes.gtceu.altart3('altart4recipe')
    .inputFluids([Fluid.of('bloodmagic:life_essence_fluid', 200000)])
    .itemInputs('gtceu:altart3')
    .itemOutputs('gtceu:altart4')
    .duration(3000)
    .EUt(GTValues.VA[GTValues.LuV]);
    
event.recipes.gtceu.altart4('altart5recipe')
    .inputFluids([Fluid.of('bloodmagic:life_essence_fluid', 200000)])
    .itemInputs('gtceu:altart4')
    .itemOutputs('gtceu:altart5')
    .duration(3000)
    .EUt(GTValues.VA[GTValues.LuV]);

event.recipes.gtceu.altart5('altart5recipe')
    .inputFluids([Fluid.of('bloodmagic:life_essence_fluid', 200000)])
    .itemInputs('gtceu:altart5')
    .itemOutputs('gtceu:altart6')
    .duration(30000)
    .EUt(GTValues.VA[GTValues.LuV]);


    // ATOMIC FORGE
event.recipes.gtceu.atomicforge('condensed_star_forge')
    .inputFluids([Fluid.of('gtceu:sodium_potassium', 12000)])
    .inputFluids([Fluid.of('gtceu:silicone_rubber', 1120)])
    .itemInputs('16x gtceu:star_matter_block')
    .itemOutputs('kubejs:condensed_star_matter')
    .duration(10000)
    .EUt(GTValues.VA[GTValues.UHV]);
event.recipes.gtceu.atomicforge('atomic_alloy_coil')
    .inputFluids([Fluid.of('gtceu:condensed_star_matter', 12000)])
    .itemInputs('gtceu:dense_atomic_alloy_plate', '16x gtceu:atomic_alloy_foil', 'gtceu:tritanium_coil_block')
    .itemOutputs('kubejs:atomic_alloy_coil_block')
    .duration(640)
    .EUt(GTValues.VA[GTValues.UHV]);
event.recipes.gtceu.atomicforge('fallen_singularity')
    .inputFluids([Fluid.of('gtceu:condensed_star_matter', 100)])
    .itemInputs('gtceu:gravi_star', '4x ae2:singularity')
    .itemOutputs('kubejs:fallen_singularity')
    .duration(20)
    .EUt(GTValues.VA[GTValues.UHV]);
event.recipes.gtceu.atomicforge('gravitation')
    .inputFluids([Fluid.of('gtceu:condensed_star_matter', 1700)])
    .itemInputs('64x gtceu:gravitation_engine_unit', 'gtceu:tungstensteel_fluid_cell', 'gtceu:uhv_machine_casing')
    .itemOutputs('kubejs:gravitational_containment_cell')
    .duration(100)
    .EUt(GTValues.VA[GTValues.UHV]);
event.recipes.gtceu.atomicforge('quantumeneergycapsule')
    .inputFluids([Fluid.of('gtceu:condensed_star_matter', 1700)])
    .itemInputs('1x gtceu:gravitation_engine_unit', 'gtceu:tungstensteel_fluid_cell', 'ae2:quantum_entangled_singularity')
    .itemOutputs('kubejs:quantum_energy_capsule')
    .duration(100)
    .EUt(GTValues.VA[GTValues.UHV]);
event.recipes.gtceu.atomicforge('stable_singularity')
    .inputFluids([Fluid.of('gtceu:condensed_star_matter', 144)])
    .itemInputs('5x kubejs:fallen_singularity', 'kubejs:condensed_star_matter', '5x kubejs:exotic_matter')
    .itemOutputs('kubejs:stabilized_collapsed_singularity')
    .duration(5)
    .EUt(GTValues.VA[GTValues.UHV]);
    event.recipes.gtceu.atomicforge('antimatter')
    .inputFluids([Fluid.of('gtceu:condensed_star_matter', 144)])
    .itemInputs('1x kubejs:atomically_compressed_black_hole')
    .outputFluids("gtceu:antimatter 5000")
    .duration(5)
    .EUt(GTValues.VA[GTValues.UHV]);

event.recipes.gtceu.dimensionalmatter('matter')
    .notConsumable('kubejs:gravitational_containment_cell')
    .itemInputs('kubejs:quantum_energy_capsule')
    .itemOutputsRanged( 'kubejs:exotic_matter', 10, 15)
    .itemOutputsRanged( 'kubejs:stable_matter', 35, 50)
    .duration(500)
    .EUt(GTValues.VA[GTValues.UHV]);

event.recipes.gtceu.atomiccompressor('blackhole')
    .notConsumable('kubejs:gravitational_containment_cell')
    .itemInputs('10x kubejs:exotic_matter', '2x kubejs:stabilized_collapsed_singularity', 'gtceu:neutronium_credit', '4x kubejs:quantum_energy_capsule', 'gtceu:dense_crystal_matrix_plate')
    .itemOutputs('kubejs:atomically_compressed_black_hole')
    .duration(500)
    .EUt(GTValues.VA[GTValues.UHV]);
event.recipes.gtceu.atomiccompressor('antisingularity')
    .notConsumable('kubejs:gravitational_containment_cell')
    .itemInputs(['kubejs:singsteel', 'kubejs:singaluminium', 'kubejs:singstainsteel', 'kubejs:singtitanium', 'kubejs:singtungstensteel', 'kubejs:singsrhodiumpalladium', 'kubejs:singnaqalloy', 'kubejs:singdarmstad', 'kubejs:singatomicalloy', 'kubejs:singneutronium'])
    .itemOutputs('kubejs:antimattersingularity')
    .duration(100)
    .EUt(GTValues.VA[GTValues.UHV]);

event.recipes.gtceu.svs('singularitysteel')
    .itemInputs('1024x gtceu:steel_ingot')
    .itemOutputs('kubejs:singsteel')
    .duration(100)
    .EUt(GTValues.VA[GTValues.UHV]);
event.recipes.gtceu.svs('singularity2')
    .itemInputs('1024x gtceu:aluminium_ingot')
    .itemOutputs('kubejs:singaluminium')
    .duration(100)
    .EUt(GTValues.VA[GTValues.UHV]);
event.recipes.gtceu.svs('sing3')
    .itemInputs('1024x gtceu:stainless_steel_ingot')
    .itemOutputs('kubejs:singstainsteel')
    .duration(100)
    .EUt(GTValues.VA[GTValues.UHV]);
event.recipes.gtceu.svs('sing4')
    .itemInputs('5124x gtceu:titanium_ingot')
    .itemOutputs('kubejs:singtitanium')
    .duration(100)
    .EUt(GTValues.VA[GTValues.UHV]);
event.recipes.gtceu.svs('sing5')
    .itemInputs('1024x gtceu:tungsten_steel_ingot')
    .itemOutputs('kubejs:singtungstensteel')
    .duration(100)
    .EUt(GTValues.VA[GTValues.UHV]);
event.recipes.gtceu.svs('sing6')
    .itemInputs('1024x gtceu:rhodium_plated_palladium_ingot')
    .itemOutputs('kubejs:singsrhodiumpalladium')
    .duration(100)
    .EUt(GTValues.VA[GTValues.UHV]);
event.recipes.gtceu.svs('singularitynaqalloy')
    .itemInputs('512x gtceu:naquadah_alloy_ingot')
    .itemOutputs('kubejs:singnaqalloy')
    .duration(100)
    .EUt(GTValues.VA[GTValues.UHV]);
event.recipes.gtceu.svs('darmstadtium')
    .itemInputs('512x gtceu:darmstadtium_ingot')
    .itemOutputs('kubejs:singdarmstad')
    .duration(100)
    .EUt(GTValues.VA[GTValues.UHV]);
event.recipes.gtceu.svs('atomicalloy')
    .itemInputs('512x gtceu:atomic_alloy_ingot')
    .itemOutputs('kubejs:singatomicalloy')
    .duration(100)
    .EUt(GTValues.VA[GTValues.UHV]);
event.recipes.gtceu.svs('neutronium')
    .itemInputs('256x gtceu:neutronium_ingot')
    .itemOutputs('kubejs:singneutronium')
    .duration(100)
    .EUt(GTValues.VA[GTValues.UHV]);











})